/* banner */
#banner {
    background-image: url("../img/banner.svg");
    background-repeat: no-repeat;
    background-size: cover;
    height: 360px;
    border-radius: 0px 0px 20px 20px;
}

#banner img {
    margin: var(--margin_main);
    width: 500px;
}

#banner_aux {
    position: absolute;
    right: var(--margin_main);
}

#banner_aux p {
    text-align: justify;
    color: #2E2F91;

    font-size: 1.5rem;
    font-weight: 500;

    width: 550px;
    margin-top: -70px;

}

@property --myColor1 {
    syntax: '<color>';
    inherits: false;
    initial-value: #517EB8;
}

@property --myColor2 {
    syntax: '<color>';
    inherits: false;
    initial-value: #53a5db;
}

#banner_aux a {
    display: inline-block;
    padding: 10px 25px;
    border-radius: 20px;

    background-color: #517EB8;
    /* For browsers that do not support gradients */
    background-image: linear-gradient(var(--myColor1), var(--myColor2));
    color: #FEFEFE;

    font-size: 1.3rem;
    font-weight: 500;

    margin-top: 60px;

    position: absolute;
    right: 10px;

    box-shadow: 4px 5px 20px 0 rgba(3, 36, 80, 0.644);
    opacity: 80%;


    transition: --myColor1 1s, --myColor2 1s, all .5s;
}

#banner_aux a:hover {
    opacity: 100%;
    box-shadow: 8px 10px 20px 0 rgba(3, 36, 80, 0.644);

    background-color: #53a5db;
    /* For browsers that do not support gradients */
    --myColor1: #517EB8;
    --myColor2: #517EB8;
    text-decoration: none;
}

@media(max-width: 1150px) {

    #banner img {
        width: 400px;
    }

    #banner_aux p {
        font-size: 1.3rem;
        font-weight: 500;

        width: 450px;
    }
}

@media(max-width: 910px) {

    #banner img {
        width: 300px;
    }

    #banner_aux p {
        font-size: 1.2rem;
        font-weight: 500;

        width: 350px;
    }

    #banner_aux a {
        padding: 10px 25px;

        font-size: 1.1rem;
        font-weight: 500;

        margin-top: 40px;
    }
}

@media(max-width: 715px) {
    #banner {
        padding-top: 20px;
    }

    #banner img {
        margin: 0px auto;
        display: block;
        width: 400px;
    }

    #banner_aux {
        margin: 0 auto;
        margin-top: 60px;
        width: 350px;

        position: relative;
        right: 0;
    }

    #banner_aux a {
        margin-top: 0px;
        position: absolute;
    }

    #banner_aux p {
        font-size: 1.2rem;
        font-weight: 500;

        width: 350px;
        margin-top: -60px;
    }

    main .d-flex {
        display: block !important;
    }

}


@media(max-width: 400px) {
    #banner img {
        width: 300px;
    }

    #banner_aux {
        width: 300px;
    }

    #banner_aux p {
        width: 300px;
    }
}
